# WebBrowser

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [WebBrowser](/api/v3.0/wisej.web/content/webbrowser.md)

Represents a web browser control that enables the user to navigate web pages inside a form or a page.

{% tabs %}
{% tab title="C#" %}

```csharp
public class WebBrowser : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class WebBrowser
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)WebBrowser()

Initializes a new instance of the [WebBrowser](/api/v3.0/wisej.web/content/webbrowser.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)BorderStyle

[BorderStyle](/api/v3.0/wisej.web/enumerations/wisej.web.borderstyle.md): Indicates the border style for the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)ScrollBarsEnabled

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value indicating whether scroll bars are displayed in the [WebBrowser](/api/v3.0/wisej.web/content/webbrowser.md) control.

### ![](/files/uCY6T77rh488FWHzpJ6P)Url

[Uri](https://docs.microsoft.com/en-us/dotnet/api/system.uri): Returns or sets the URL of the current document.

**Throws:**

* [ArgumentException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentexception) The specified value when setting this property is not an absolute URI. For more information, see [IsAbsoluteUri](https://docs.microsoft.com/en-us/dotnet/api/system.uri.isabsoluteuri).

## Methods

### ![](/files/uCY6T77rh488FWHzpJ6P)GoBack()

Navigates the [WebBrowser](/api/v3.0/wisej.web/content/webbrowser.md) control to the previous page in the navigation history, if one is available.

Due to IFrame security constraints, this method will not work when the source of the IFrame content is from a different domain.

### ![](/files/uCY6T77rh488FWHzpJ6P)GoForward()

Navigates the [WebBrowser](/api/v3.0/wisej.web/content/webbrowser.md) control to the next page in the navigation history, if one is available.

Due to IFrame security constraints, this method will not work when the source of the IFrame content is from a different domain.

### ![](/files/uCY6T77rh488FWHzpJ6P)Navigate(url)

Loads the document at the location indicated by the specified [Uri](https://docs.microsoft.com/en-us/dotnet/api/system.uri) into the [WebBrowser](/api/v3.0/wisej.web/content/webbrowser.md) control.

| Parameter | Type                                                          | Description                                                                                                   |
| --------- | ------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| **url**   | [Uri](https://docs.microsoft.com/en-us/dotnet/api/system.uri) | A [Uri](https://docs.microsoft.com/en-us/dotnet/api/system.uri) representing the URL of the document to load. |

**Throws:**

* [ArgumentException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentexception) The *url* parameter value does not represent an absolute URI. For more information, see [IsAbsoluteUri](https://docs.microsoft.com/en-us/dotnet/api/system.uri.isabsoluteuri).

### ![](/files/uCY6T77rh488FWHzpJ6P)Navigate(url)

Loads the document at the specified Uniform Resource Locator (URL) into the [WebBrowser](/api/v3.0/wisej.web/content/webbrowser.md) control.

| Parameter | Type                                                                | Description                      |
| --------- | ------------------------------------------------------------------- | -------------------------------- |
| **url**   | [String](https://docs.microsoft.com/en-us/dotnet/api/system.string) | The URL of the document to load. |

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)DocumentCompleted

[WebBrowserDocumentCompletedEventHandler](/api/v3.0/wisej.web/content/webbrowser/wisej.web.webbrowserdocumentcompletedeventhandler.md) Fired when the [WebBrowser](/api/v3.0/wisej.web/content/webbrowser.md) control finishes loading a web page.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/content/webbrowser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
